Go Back   FlashFXP Forums > > > >

ioFTPD General New releases, comments, questions regarding the latest version of ioFTPD.

Reply
 
Thread Tools Rate Thread Display Modes
Old 11-04-2005, 12:06 AM   #1
dink-puller
Member
ioFTPD Foundation User
 
dink-puller's Avatar
 
Join Date: Sep 2004
Posts: 58
Default Installing 5.8.6r

I'm running Windows Server 2003, running 5.8.5r as a service with no problems. When 5.8.6r was released, I thought I would update. I stopped the service, and simply overwrote the exe and php4ts.dll with the new versions and tried to restart the service. Now ioFTPD appeared to be running in my process and services lists but when I tried to connect, my client just hangs for some reason, io doesn't allow a login, and the connection just times out. Is there something else I need to do to update successfully?

:EDIT: grr...I think I know what the problem is, the new exe must be installed as a service because ioftpd can't run as a service when the exe belongs another user even if it's the administrator's
dink-puller is offline   Reply With Quote
Old 11-04-2005, 12:14 AM   #2
_panic_
Senior Member
Ultimate Scripter
 
Join Date: Jul 2005
Posts: 153
Default

Quote:
Originally Posted by dink-puller
I'm running Windows Server 2003, running 5.8.5r as a service with no problems. When 5.8.6r was released, I thought I would update. I stopped the service, and simply overwrote the exe and php4ts.dll with the new versions and tried to restart the service. Now ioFTPD appeared to be running in my process and services lists but when I tried to connect, my client just hangs for some reason, io doesn't allow a login, and the connection just times out. Is there something else I need to do to update successfully?

:EDIT: grr...I think I know what the problem is, the new exe must be installed as a service because ioftpd can't run as a service when the exe belongs another user even if it's the administrator's
i'm also getting unconfirmed reports about possible problems with binary modules (like sharedb). are you running any of these?

though you description could well be what is going on.
_panic_ is offline   Reply With Quote
Old 11-04-2005, 01:17 AM   #3
dink-puller
Member
ioFTPD Foundation User
 
dink-puller's Avatar
 
Join Date: Sep 2004
Posts: 58
Default

I don't know what sharedb is, but I don't think I am running it. Yes, I tried running ioftpd as CurrentUser just by dbl clicking it. It immediately exits saying something like:

Unknown(): (null) Unable to initialize module.
Module compiled with API 20041030
PHP Module compiled with API 20020429
These options need to match.
dink-puller is offline   Reply With Quote
Old 11-04-2005, 07:42 AM   #4
m4r3z
Junior Member
ioFTPD Foundation User
 
Join Date: Sep 2004
Posts: 24
Default strange

have the same problem, when tryin to connect from the server itself, I get as far as :

[R] Connecting to Server -> IP=xx.xx.xx.xx PORT=xxx
[R] Connected to Server
[R] 220 FTP Server ready.
[R] AUTH SSL
[R] 234 AUTH SSL successful.
[R] Connected. Negotiating SSL session..
[R] SSL negotiation successful...
[R] SSL encrypted session using cipher RC4-MD5 (128 bits)
[R] PBSZ 0
[R] 200 PBSZ 0 successful.
[R] USER xxxx
[R] 331 Password required for xxxx.
[R] PASS (hidden)
[R] Connection failed (Connection lost)
[R] Delaying for 120 seconds before reconnect attempt #1

and when I try to connect from another machine, other location, I dont even get any contact with the server, at all !


tried that install new .exe in firedaemon, didnt work, running it with only dobbelclickin the .exe, it crashes when I try to connect to server..

server workin 100% stable as a mofo and all usually...

even tried with my test ftp on my gamecomp, io + iosfv + nxtools.... installed new version, same problem, cant login, only crashes :S

guess we needs to use old version for a while :S:S


m4r3z
m4r3z is offline   Reply With Quote
Old 11-04-2005, 03:58 PM   #5
tuff
Senior Member
FlashFXP Registered User
ioFTPD Scripter
 
Join Date: Jan 2003
Posts: 277
Default

more than likely a user config error :P
__________________
#iotools #ioftpd (both on efnet)
tuff is offline   Reply With Quote
Old 11-04-2005, 04:09 PM   #6
zykes
Junior Member
ioFTPD Foundation User
 
Join Date: May 2005
Posts: 26
Default

works like a damn charm here, running on 2 servers.

only thing is that !uptime command is broke :/
zykes is offline   Reply With Quote
Old 11-04-2005, 05:07 PM   #7
neoxed
Too much time...
FlashFXP Beta Tester
ioFTPD Scripter
 
Join Date: May 2003
Posts: 1,326
Default

Quote:
Originally Posted by dink-puller
I don't know what sharedb is, but I don't think I am running it. Yes, I tried running ioftpd as CurrentUser just by dbl clicking it. It immediately exits saying something like:

Unknown(): (null) Unable to initialize module.
Module compiled with API 20041030
PHP Module compiled with API 20020429
These options need to match.
See my post here:

http://www.inicom.net/forum/showthread.php?t=14010
neoxed is offline   Reply With Quote
Old 11-04-2005, 10:06 PM   #8
dink-puller
Member
ioFTPD Foundation User
 
dink-puller's Avatar
 
Join Date: Sep 2004
Posts: 58
Default

You're a goddamn genius that's what you are. That php.ini thingy did the trick.
thanks! but... does this mean io is not compatible with versions of php newer than 4.x, and that in order to use ftp functions in php I have to use the crappy IIS ftpd??

[R] site version
[R] 200-Running ioFTPD version 5-8-6r
[R] 200 Command successful.
dink-puller is offline   Reply With Quote
Old 11-05-2005, 03:03 AM   #9
neoxed
Too much time...
FlashFXP Beta Tester
ioFTPD Scripter
 
Join Date: May 2003
Posts: 1,326
Default

Quote:
Originally Posted by dink-puller
does this mean io is not compatible with versions of php newer than 4.x, and that in order to use ftp functions in php I have to use the crappy IIS ftpd??
No, that PHP error has almost nothing to do with ioFTPD. When the PHP team makes an API change, they require all binary modules (extensions as they call them) to be recompiled against the latest PHP API. So you cannot mix modules for an older PHP version with a newer PHP version, and vice versa.

ioFTPD is built against PHP 5.x, so you must use PHP modules built for PHP 5.x.

PS: You can change the default PHP extension path in php.ini to prevent these collisions (extension_dir).
neoxed is offline   Reply With Quote
Old 11-05-2005, 05:36 PM   #10
_panic_
Senior Member
Ultimate Scripter
 
Join Date: Jul 2005
Posts: 153
Default

Quote:
Originally Posted by neoxed
No, that PHP error has almost nothing to do with ioFTPD. When the PHP team makes an API change, they require all binary modules (extensions as they call them) to be recompiled against the latest PHP API. So you cannot mix modules for an older PHP version with a newer PHP version, and vice versa.

ioFTPD is built against PHP 5.x, so you must use PHP modules built for PHP 5.x.

PS: You can change the default PHP extension path in php.ini to prevent these collisions (extension_dir).
on a related note, the version of php shipped with 5.8.6 is still fairly old. i'm be updating to the latest php release as soon as i deal with the issues we're discovering with this release.
_panic_ is offline   Reply With Quote
Old 11-05-2005, 08:41 PM   #11
dink-puller
Member
ioFTPD Foundation User
 
dink-puller's Avatar
 
Join Date: Sep 2004
Posts: 58
Default

Ok, that's starting to make more sense because I am using PHP 5.05. Hence the conflicts. Thanks, keep up the good work.
dink-puller is offline   Reply With Quote
Old 11-08-2005, 06:24 AM   #12
ChipMunk666
Senior Member
ioFTPD Foundation User
 
Join Date: Jun 2003
Posts: 220
Default

I have the same problem using sharedb
It connects than it fails to operate.
I think i will use 5.8.5r for now
So hereby it's confirmed
ChipMunk666 is offline   Reply With Quote
Old 11-13-2005, 09:59 PM   #13
peorth
Junior Member
 
Join Date: Jan 2003
Posts: 7
Default

I am getting the same error as above. I have tried the empty php.ini in ioftpd\system, but that did not fix my problem. Now I have copied back my 5.8.5 exe and php4ts.dll and am still getting the same error. I am running php 5.0.5 for my personal website.
peorth is offline   Reply With Quote
Old 11-14-2005, 10:46 AM   #14
ChipMunk666
Senior Member
ioFTPD Foundation User
 
Join Date: Jun 2003
Posts: 220
Default

i didn't use a script with php i just used it clean...
ChipMunk666 is offline   Reply With Quote
Old 11-28-2006, 02:01 PM   #15
wrycat
Junior Member
FlashFXP Beta Tester
ioFTPD Foundation User
 
wrycat's Avatar
 
Join Date: Jul 2005
Posts: 3
Default

I installed php5 some days ago on my system. Now ioFTPD always trys to load the modules of that installation.
I have set the php location in the path variable.
I tried to place a php.ini in the ioFTP system folder and set the extension_dir value in it.
But this didn't help anything.
Can s.o. please point out a solution?
wrycat is offline   Reply With Quote
Reply

Tags
5.8.6r, exe, ioftpd, running, service

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 06:11 AM.

Parts of this site powered by vBulletin Mods & Addons from DragonByte Technologies Ltd. (Details)